import type { GenericParent } from 'myst-common';
import type { Element, DeclarationAttributes } from 'xml-js';
import type { Front, Body, Back, SubArticle, RefList, Reference, TitleGroup, ArtileTitle, Subtitle, Permissions, PubDate, License, Abstract, ContribGroup, Contrib, KeywordGroup, Keyword } from './types';
export declare class Jats {
    declaration?: DeclarationAttributes;
    doctype?: string;
    raw: Element;
    tree: GenericParent;
    constructor(data: string);
    get front(): Front;
    get premissions(): Permissions;
    get doi(): string | null;
    get publicationDates(): PubDate[];
    get publicationDate(): PubDate | undefined;
    get license(): License;
    get keywordGroup(): KeywordGroup;
    /** The first keywords */
    get keywords(): Keyword[];
    get keywordGroups(): KeywordGroup[];
    get titleGroup(): TitleGroup;
    get articleTitle(): ArtileTitle;
    get articleSubtitle(): Subtitle;
    get abstract(): Abstract;
    get abstracts(): Abstract[];
    get contribGroup(): ContribGroup;
    get contribGroups(): ContribGroup[];
    get articleAuthors(): Contrib[];
    get body(): Body;
    get back(): Back;
    get subArticles(): SubArticle[];
    get refList(): RefList;
    get references(): Reference[];
}
//# sourceMappingURL=jats.d.ts.map