import type { GenericParent } from 'myst-common';
import type { Tags } from './elementTags';
export declare type LinkMixin = {
    'xlink:href'?: string;
};
export declare type Article = GenericParent & {
    type: Tags.article;
};
export declare type Front = GenericParent & {
    type: Tags.front;
};
export declare type Body = GenericParent & {
    type: Tags.body;
};
export declare type Back = GenericParent & {
    type: Tags.back;
};
export declare type SubArticle = GenericParent & {
    type: Tags.subArticle;
    'article-type'?: string;
};
export declare type RefList = GenericParent & {
    type: Tags.refList;
};
export declare type Reference = GenericParent & {
    type: Tags.ref;
};
export declare type TitleGroup = GenericParent & {
    type: Tags.titleGroup;
    children: (ArtileTitle | Subtitle)[];
};
export declare type ArtileTitle = GenericParent & {
    type: Tags.articleTitle;
};
export declare type ArticleId = GenericParent & {
    type: Tags.articleId;
    'assigning-authority': string;
    'custom-type': string;
    'pub-id-type': string;
    'specific-use': string;
};
export declare type Subtitle = GenericParent & {
    type: Tags.subtitle;
};
export declare type Permissions = GenericParent & {
    type: Tags.permissions;
};
export declare type PubDate = GenericParent & {
    type: Tags.pubDate;
    'assigning-authority': string;
    calendar: string;
    'date-type': string;
    'iso-8601-date': string;
    'publication-format': string;
    /** @deprecated */
    'pub-type': string;
};
export declare type License = GenericParent & LinkMixin & {
    type: Tags.license;
};
export declare type Abstract = GenericParent & {
    type: Tags.abstract;
    'abstract-type'?: string;
};
export declare type ContribGroup = GenericParent & {
    type: Tags.contribGroup;
    'content-type'?: string;
    children: (Contrib | Affiliation)[];
};
export declare type Contrib = GenericParent & {
    type: Tags.contrib;
    'content-type'?: string;
};
export declare type Affiliation = GenericParent & {
    type: Tags.aff;
};
export declare type KeywordGroup = GenericParent & {
    type: Tags.kwdGroup;
    'kwd-group-type'?: string;
};
export declare type Keyword = GenericParent & {
    type: Tags.kwd;
};
//# sourceMappingURL=elements.d.ts.map